%global srcname luerl
# Erlang packages do not provide debug subpackages.
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    0.3
Release:    1%{?dist}

License:    ASL 2.0
Summary:    Lua in Erlang
URL:        https://github.com/rvirding/luerl
Source0:    %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: dos2unix
BuildRequires: erlang-rebar


%description
An experimental implementation of Lua 5.2 written solely in pure Erlang.


%prep
%autosetup -n %{srcname}-%{version}

dos2unix examples/hello/hello2-3.lua


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE
%doc examples
%doc README.md
%doc src/NOTES
%{erlang_appdir}


%changelog
* Thu Mar 29 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.3-1
- Update to 0.3 (#1560805).

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Apr 21 2016 Randy Barlow <rbarlow@redhat.com> - 0.2-1
- Update to 0.2.

* Sun Apr 10 2016 Randy Barlow <rbarlow@redhat.com> - 0-20151209.9524d030.2
- Remove unneeded header files (#1317345).
- Use the erlang_appdir and erlang_install macros.

* Sun Mar 13 2016 Randy Barlow <rbarlow@redhat.com> - 0-20151209.9524d030.1
- Initial release.
